# ChangeLog for dev-cpp/commoncpp2
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/commoncpp2/ChangeLog,v 1.55 2010/10/23 22:24:23 halcy0n Exp $

  23 Oct 2010; Mark Loeser <halcy0n@gentoo.org> commoncpp2-1.8.0.ebuild:
  Mark stable on ppc64; bug #321931

  24 Aug 2010; Samuli Suominen <ssuominen@gentoo.org>
  +files/1.8.0-glibc212.patch, commoncpp2-1.8.0.ebuild:
  Fix building with recent glibc wrt #334135 by "kde at hilefoks.org" and
  Arttu Valo.

  26 Jun 2010; Christoph Mende <angelos@gentoo.org> commoncpp2-1.8.0.ebuild:
  Stable on amd64 wrt bug #321931

  26 Jun 2010; <nixnut@gentoo.org> commoncpp2-1.8.0.ebuild:
  ppc stable #321931

  13 Jun 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
  commoncpp2-1.8.0.ebuild:
  x86 stable wrt bug #321931

*commoncpp2-1.8.0 (23 Apr 2010)

  23 Apr 2010; Peter Volkov <pva@gentoo.org> +commoncpp2-1.8.0.ebuild:
  Version bump, bug #279505, thank Eric Womer for report. This should fix
  gcc-4.4 build issues.

  30 Jul 2009; Ryan Hill <dirtyepic@gentoo.org> commoncpp2-1.6.3.ebuild,
  +files/commoncpp2-1.6.3-glibc-2.10.patch:
  Fix build w/ glibc-2.10. (bug #275750)

  03 May 2009; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
  commoncpp2-1.6.3.ebuild:
  Respect USE="gnutls".

  22 Mar 2009; Markus Meier <maekke@gentoo.org> commoncpp2-1.6.2.ebuild:
  amd64 stable, bug #261567

  18 Mar 2009; Joseph Jezak <josejx@gentoo.org> commoncpp2-1.6.2.ebuild:
  Marked ppc stable for bug #261567.

  12 Mar 2009; Brent Baude <ranger@gentoo.org> commoncpp2-1.6.2.ebuild:
  Marking commoncpp2-1.6.2 ppc64 for bug 261567

*commoncpp2-1.6.3 (07 Mar 2009)

  07 Mar 2009; Raúl Porcel <armin76@gentoo.org>
  +files/1.6.3-autoconf.patch, +commoncpp2-1.6.3.ebuild:
  Version bump

  07 Mar 2009; Raúl Porcel <armin76@gentoo.org>
  +files/1.6.2-configure_detect_netfilter.patch, commoncpp2-1.6.1.ebuild,
  commoncpp2-1.6.2.ebuild:
  Add patch from Aurélien Francillon <aurelien dot francillon at inrialpes
  dot fr> to fix build failure with newer headers, bug #236177, x86 stable

*commoncpp2-1.6.2 (07 May 2008)

  07 May 2008; Tiziano Müller <dev-zero@gentoo.org>
  +files/1.6.1-autoconf.patch, +files/1.6.2-autoconf.patch,
  files/1.6.1-gcc42_atomicity.patch, commoncpp2-1.6.1.ebuild,
  +commoncpp2-1.6.2.ebuild:
  Fixed problem with autoconf-2.62 (bug #219192), had to update the
  gcc42_atomicity.patch for that as well. Version bump.

  04 Mar 2008; Tiziano Müller <dev-zero@gentoo.org>
  -files/1.5.7-as-needed.patch, -files/1.5.7-ssl_config.patch,
  -files/1.5.1-ssl_config.patch, -files/ccext2-as-needed.diff,
  -files/ccgnu2-as-needed.diff, -commoncpp2-1.3.1.ebuild,
  -commoncpp2-1.5.1-r1.ebuild, -commoncpp2-1.5.7.ebuild:
  Dropped old versions (including patches).

  17 Feb 2008; Christoph Mende <angelos@gentoo.org> commoncpp2-1.6.1.ebuild:
  Stable on amd64, bug #207632

  01 Feb 2008; Christian Faulhammer <opfer@gentoo.org>
  commoncpp2-1.6.1.ebuild:
  stable x86, bug 207632

  30 Jan 2008; Brent Baude <ranger@gentoo.org> commoncpp2-1.6.1.ebuild:
  Marking commoncpp2-1.6.1 ppc64 for bug 207632

  29 Jan 2008; nixnut <nixnut@gentoo.org> commoncpp2-1.6.1.ebuild:
  Stable on ppc wrt bug 207632

  24 Dec 2007; Tiziano Müller <dev-zero@gentoo.org>
  commoncpp2-1.6.1.ebuild:
  Added pkg_postinst ABI breakage warning (thanks to dragonheart)

*commoncpp2-1.6.1 (24 Dec 2007)

  24 Dec 2007; Tiziano Müller <dev-zero@gentoo.org>
  +files/1.6.1-gcc42_atomicity.patch, +commoncpp2-1.6.1.ebuild:
  Version bump, fixes compile problems with gcc-4.2 (bug #187206). Added '-j1'
  to avoid parallel build problems (thanks to dragonheart)

  16 Aug 2007; Tobias Scherbaum <dertobi123@gentoo.org>
  commoncpp2-1.5.7.ebuild:
  ppc stable

  10 Aug 2007; Steve Dibb <beandog@gentoo.org> commoncpp2-1.5.7.ebuild:
  amd64 stable, bug 182352

  23 Jul 2007; Christian Faulhammer <opfer@gentoo.org>
  commoncpp2-1.5.7.ebuild:
  stable x86, bug 182352

  11 Jul 2007; Tiziano Müller <dev-zero@gentoo.org>
  files/1.5.7-as-needed.patch, commoncpp2-1.5.7.ebuild:
  Corrected as-needed patch (thanks to Flameeyes)

*commoncpp2-1.5.7 (16 Jun 2007)

  16 Jun 2007; Tiziano Müller <dev-zero@gentoo.org>
  +files/1.5.7-as-needed.patch, +files/1.5.7-ssl_config.patch,
  -commoncpp2-1.5.1.ebuild, +commoncpp2-1.5.7.ebuild:
  Version bump (fixes bug #179520)

  22 Feb 2007; Piotr Jaroszyński <peper@gentoo.org> ChangeLog:
  Transition to Manifest2.

  01 Jan 2007; Petteri Räty <betelgeuse@gentoo.org> metadata.xml:
  Removed arj as he is retired

  05 Nov 2006; Luca Barbato <lu_zero@gentoo.org> commoncpp2-1.5.1-r1.ebuild:
  Marked ~ppc64

  05 Nov 2006; Tiziano Müller <dev-zero@gentoo.org>
  files/ccext2-as-needed.diff:
  Updated ccext2-as-needed patch, bug 154177, thanks to drizzt.

  05 Nov 2006; Tiziano Müller <dev-zero@gentoo.org>
  +files/ccgnu2-as-needed.diff, commoncpp2-1.5.1-r1.ebuild:
  Added ccgnu2-as-needed patch, bug 154148, thanks to
  Timothy Redaelli <drizzt@gentoo.org>

  22 Oct 2006; Tiziano Müller <dev-zero@gentoo.org> ChangeLog:
  'examples' USE-flag added: bug #139999

  22 Oct 2006; Tiziano Müller <dev-zero@gentoo.org> ChangeLog:
  'debug' and 'gnutls' USE-flags added. Dependencies corrected.

*commoncpp2-1.5.1 (21 Oct 2006)

  21 Oct 2006; Stefan Schweizer <genstef@gentoo.org>
  files/ccext2-as-needed.diff, -commoncpp2-1.3.13.ebuild,
  -commoncpp2-1.3.20.ebuild, -commoncpp2-1.3.20-r1.ebuild,
  -commoncpp2-1.3.22.ebuild, -commoncpp2-1.4.1.ebuild,
  +commoncpp2-1.5.1.ebuild:
  version bump

*commoncpp2-1.4.1 (04 Jun 2006)

  16 Jan 2006; Anders Rune Jensen <arj@gentoo.org>
  +commoncpp2-1.4.1.ebuild:
  New version + fix from #134461

  27 Apr 2006; Marien Zwart <marienz@gentoo.org>
  files/digest-commoncpp2-1.3.1, files/digest-commoncpp2-1.3.13,
  files/digest-commoncpp2-1.3.20, files/digest-commoncpp2-1.3.20-r1,
  files/digest-commoncpp2-1.3.22, Manifest:
  Fixing SHA256 digest, pass four

  09 Apr 2006; Mark Loeser <halcy0n@gentoo.org> commoncpp2-1.3.1.ebuild,
  commoncpp2-1.3.13.ebuild, commoncpp2-1.3.20.ebuild,
  commoncpp2-1.3.20-r1.ebuild, commoncpp2-1.3.22.ebuild:
  Change USE flag from xml2->xml

*commoncpp2-1.3.22 (16 Jan 2006)

  16 Jan 2006; Anders Rune Jensen <arj@gentoo.org>
  +commoncpp2-1.3.22.ebuild:
  New version. Fixes #118968

*commoncpp2-1.3.20-r1 (17 Dec 2005)

  17 Dec 2005; Ciaran McCreesh <ciaranm@gentoo.org>
  +commoncpp2-1.3.20-r1.ebuild:
  Add ipv6 USE flag, bug #115542.

*commoncpp2-1.3.20 (30 Oct 2005)

  30 Oct 2005; Anders Rune Jensen <arj@gentoo.org>
  +commoncpp2-1.3.20.ebuild. -commoncpp2-1.3.0.ebuild,
  -commoncpp2-1.2.5.ebuild, -commoncpp2-1.0.13.ebuild:
  version bump and add doc flag; Closes #109145. Remove old versions.

  20 Sep 2005; Anders Rune Jensen <arj@gentoo.org> commoncpp2-1.3.13.ebuild,
  commoncpp2-1.3.1.ebuild:
  Fix libxml2 dependency. Fixes #106169.

  19 Sep 2005; Mark Loeser <halcy0n@gentoo.org> metadata.xml:
  Adding to cpp herd.

  05 Jul 2005; David Holm <dholm@gentoo.org> commoncpp2-1.3.13.ebuild:
  Added to ~ppc.

*commoncpp2-1.3.13 (05 Jul 2005)

  05 Jul 2005; Anders Rune Jensen <arj@gentoo.org> +commoncpp2-1.3.13.ebuild:
  version bump; Closes #94923

*commoncpp2-1.3.1 (29 Mar 2005)

  29 Mar 2005; Anders Rune Jensen <arj@gentoo.org> +commoncpp2-1.3.1.ebuild:
  version bump; Marked stable on x86 and amd64.

*commoncpp2-1.3.0 (05 Dec 2004)

  05 Dec 2004; lanius@gentoo.org commoncpp2-1.2.5.ebuild,
  +commoncpp2-1.3.0.ebuild:
  version bump; mark 1.2.5 stable

*commoncpp2-1.2.5 (23 Oct 2004)

  23 Oct 2004; Heinrich Wendel <lanius@gentoo.org> +commoncpp2-1.2.5.ebuild:
  version bump

  14 Aug 2004; Sven Wegener <swegener@gentoo.org> :
  Fixed CVS Header.

  02 Aug 2004; Heinrich Wendel <lanius@gentoo.org> commoncpp2-1.0.12.ebuild,
  commoncpp2-1.0.13.ebuild, commoncpp2-1.0.9.ebuild:
  remove old ebuilds; fix html documentation installation, bug #58063

  15 Mar 2004; Daniel Ahlberg <aliz@gentoo.org> commoncpp2-1.0.13.ebuild:
  x86 unmask.

*commoncpp2-1.0.9 (08 Dec 2003)

  08 Dec 2003; Heinrich Wendel <lanius@gentoo.org> commoncpp2-1.0.12.ebuild,
  commoncpp2-1.0.13.ebuild, commoncpp2-1.0.9.ebuild:
  moved from dev-libs to dev-cpp

  08 Dec 2003; Heinrich Wendel <lanius@gentoo.org> commoncpp2-1.0.12.ebuild:
  ~x86 -> x86

*commoncpp2-1.0.13 (07 Dec 2003)

  07 Dec 2003; Heinrich Wendel <lanius@gentoo.org> commoncpp2-1.0.13.ebuild:
  bump

*commoncpp2-1.0.12 (21 Jul 2003)

  21 Jul 2003; Michael Nazaroff <naz@gentoo.org> commoncpp2-1.0.12.ebuild :
  Version bump
  
*commoncpp2-1.0.9 (10 May 2003)

  10 May 2003; foser <foser@gentoo.org> commoncpp2-1.0.9.ebuild :
  New version, now install html docs correctly

*commoncpp2-1.0.3 (27 Oct 2002)
 
  27 Oct 2002; foser <foser@gentoo.org> commoncpp2-1.0.3.ebuild :
  New version

*commoncpp2-1.0.1 (03 Oct 2002)

  03 Oct 2002; Matt Keadle <mkeadle@gentoo.org> commoncpp2-1.0.1: 
  This changelog is for the initial release of commoncpp2-1.0.1.ebuild which is
  just a library needed for a few gnu applications. It is the new branch of
  commonc++. Thanks to foser <foser@gentoo.org> for the ebuild!
 
